org.apache.maven.scm.provider.perforce.repository

## Class PerforceScmProviderRepository

- java.lang.Object
- - org.apache.maven.scm.provider.ScmProviderRepository
  - - org.apache.maven.scm.provider.ScmProviderRepositoryWithHost
    - - org.apache.maven.scm.provider.perforce.repository.PerforceScmProviderRepository

    public class PerforceScmProviderRepository
    extends ScmProviderRepositoryWithHost

Version:
  $Id: PerforceScmProviderRepository.java 483105 2006-12-06 15:07:54Z evenisse $
Author:
  Trygve Laugstøl

### Constructor Summary

Constructors
Constructor and Description
`PerforceScmProviderRepository(String host, int port, String path, String user, String password)`

### Method Summary

Methods
`String` `getPath()`

### Methods inherited from class org.apache.maven.scm.provider.ScmProviderRepositoryWithHost

`getHost, getPassphrase, getPort, getPrivateKey, setHost, setPassphrase, setPort, setPrivateKey`

### Methods inherited from class org.apache.maven.scm.provider.ScmProviderRepository

`getParent, getPassword, getRelativePath, getUser, isPersistCheckout, setPassword, setPersistCheckout, setUser`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PerforceScmProviderRepository

    public PerforceScmProviderRepository(String host,
                                 int port,
                                 String path,
                                 String user,
                                 String password)

### Method Detail

#### getPath

    public String getPath()